using Knoks.Core.Entities;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Knoks.Core.Data.Interfaces
{
    public interface ITagDao
    {
        Task<List<AnalysisTag>> GetTags(int tagType);
        Task<List<AnalysisTag>> GetKnokTags(int knokId, int tagType);
        Task<List<AnalysisTag>> SaveKnokTags(int knokId, IEnumerable<AnalysisTag> tags, int tagType);
    }
}
